View Issue Details

IDProjectCategoryView StatusLast Update
17139Bug reportsOtherpublic2021-03-29 12:31
ReporterDenisChenu Assigned Toc_schmitz  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.4.7 
Summary17139: Invalid url in Check integrity
DescriptionThe url for correting survey in check intergroity are bad
Steps To ReproduceUnsure it work with included lss, seems to but still unsure

Else : try to break DB

Go to check integrity, click on Survey link and Group plink
Additional InformationSee the url in screenshit.
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.4.10 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 17093 closedDenisChenu Unable to fix invalid survey after import bad TSV 

Activities

DenisChenu

DenisChenu

2021-02-27 11:31

developer  

DenisChenu

DenisChenu

2021-02-27 11:35

developer   ~62553

Good new :

Reproduce : import included lss, go to check intergrity
jelo

jelo

2021-02-27 11:38

partner   ~62556

Is there reason why the text is centered? If the code is touched perhaps that can be changed for a better readability.
DenisChenu

DenisChenu

2021-02-27 11:42

developer   ~62559

Another issue here ;)
c_schmitz

c_schmitz

2021-03-22 16:47

administrator   ~63549

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31372
lime_release_bot

lime_release_bot

2021-03-29 12:31

administrator   ~63682

Fixed in Release 4.4.15+210329

Related Changesets

LimeSurvey: master fdee17d1

2021-03-22 16:38:33

c_schmitz

Details Diff
Fixed issue 17139: Invalid URL in Check integrity Affected Issues
17139
mod - application/controllers/admin/checkintegrity.php Diff File

Issue History

Date Modified Username Field Change
2021-02-27 11:31 DenisChenu New Issue
2021-02-27 11:31 DenisChenu File Added: Capture d’écran du 2021-02-27 11-25-55.png
2021-02-27 11:31 DenisChenu File Added: Capture d’écran du 2021-02-27 11-26-02.png
2021-02-27 11:31 DenisChenu File Added: limesurvey_survey_187194.lss
2021-02-27 11:35 DenisChenu Note Added: 62553
2021-02-27 11:36 DenisChenu Relationship added related to 17093
2021-02-27 11:38 jelo Note Added: 62556
2021-02-27 11:42 DenisChenu Note Added: 62559
2021-03-22 16:37 c_schmitz Assigned To => c_schmitz
2021-03-22 16:37 c_schmitz Status new => assigned
2021-03-22 16:38 c_schmitz Status assigned => resolved
2021-03-22 16:38 c_schmitz Resolution open => fixed
2021-03-22 16:47 c_schmitz Changeset attached => LimeSurvey master fdee17d1
2021-03-22 16:47 c_schmitz Note Added: 63549
2021-03-29 12:31 lime_release_bot Note Added: 63682
2021-03-29 12:31 lime_release_bot Status resolved => closed